// [PROJEKT] Czujnik wilgotności gleby oraz KAmduino UNO
// Autor: Patryk Mądry 
// Mikrokontroler 2017 r.

#define LED_Czerwona 2
#define LED_Zolta 3
#define LED_Zielona 4

int pomiar = 0;


void setup() 
{
 
 Serial.begin(9600);
 pinMode(LED_Czerwona,OUTPUT); 
 pinMode(LED_Zolta,OUTPUT);
 pinMode(LED_Zielona,OUTPUT);

}

void loop() {

pomiar = analogRead(A0);

Serial.print("Wartosc z czujnika wilgotnosci gleby: ");
Serial.println(pomiar);

if (pomiar == 0) 
{
  Serial.println("Czujnik musi znajdowac sie w glebie!");
}
else if (pomiar <100)
{
  digitalWrite(LED_Czerwona, HIGH);  // Zapalenie diody czerwonej 
  digitalWrite(LED_Zolta,LOW);
  digitalWrite(LED_Zielona,LOW);
  // W przypadku automatycznego podlewania, w tym miejscu należy umiescic kod np. do włączenia pompy 
}
else if( pomiar >700)
{
  digitalWrite(LED_Czerwona, LOW);
  digitalWrite(LED_Zolta,LOW);
  digitalWrite(LED_Zielona,HIGH); // Zapalenie diody zielonej
}
else 
{
  digitalWrite(LED_Czerwona, LOW);
  digitalWrite(LED_Zolta,HIGH);  // Zapalenie diody zółtej
  digitalWrite(LED_Zielona,LOW);
}


delay(1000);

}


